# Environments
.env
.venv
env/
venv/
.pytest*
.python-version
.DS_Store

# Project folders
*.vscode/
.idea
*_app
*pytest_cache
*joblib
*tmp
*profiling
*logs
*docker
*drivers
*bamboo-specs/target

# Python specific files
__pycache__/
*.py[cod]
*.ipynb
*.ipynb_checkpoints

# file extensions
*.log
*.csv
*.json
*.pkl
*.profile
*.cbm

# temp files
*.swp
*~
*.un~

# keep files
!notebooks/*.ipynb

# keep folders
!secrets
!data/*
!drivers

# ignore files
